Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
08281 Gameplay Major Always Apr 2, 2022, 04:13 Apr 30, 2022, 01:03
Tester PepsiBoy428 View Status Public Platform MAME (Official Binary)
Assigned To Resolution Bugs That Aren't Bugs OS Windows 10/11 (64-bit)
Status [?] Resolved Driver vegas.cpp
Version 0.242 Fixed in Version Build 64-bit
Fixed in Git Commit Github Pull Request #
Summary 08281: sf2049: Mirror mode always loads on MAME 0.242
Description Okay I went to play the standard Rush 2049 (sf2049) and noticed this bug, and that is: Mirror mode always loads, even if you selected a track without selecting it mirrored, this bug did not happen in previous versions of MAME, Special Edition (sf2049se) oddly doesn't have this bug, here's a video for proof
Steps To Reproduce Select a track but DON'T activate mirror mode, then select your car and transmission and then the bug happens
(Holding down View 1 while selecting a track will activate mirror mode, releasing view 1 while selecting a track deactivates mirror mode)
Additional Information
Github Commit
Flags
Regression Version
Affected Sets / Systems sf2049
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
7
User avatar
No.19997
PepsiBoy428
Tester
Apr 3, 2022, 21:09
For now, I'll use 0.241 for this game.
User avatar
No.20003
PepsiBoy428
Tester
Apr 4, 2022, 00:18
Here's a video on how the track is supposed to load when mirror mode is not selected
User avatar
No.20028
R. Belmont
Developer
Apr 7, 2022, 14:56
For reference, how is mirror mode activated normally?
User avatar
No.20030
PepsiBoy428
Tester
Apr 7, 2022, 16:33
edited on: Apr 7, 2022, 16:38
Holding down View 1 while selecting a track will activate mirror mode, releasing view 1 while selecting a track deactivates mirror mode
User avatar
No.20037
Haze
Senior Tester
Apr 7, 2022, 23:37
Other people are unable to reproduce this bug.

Maybe you have a corrupt NVRAM or HDD 'diff' file that somehow has the mode permanently enabled?
User avatar
No.20038
PepsiBoy428
Tester
Apr 7, 2022, 23:44
edited on: Apr 7, 2022, 23:49
Yep! It was my NVram, I deleted it and the game is working properly again.

Feel free to close this
User avatar
No.20129
cuavas
Administrator
Apr 30, 2022, 01:03
For reference, Hydreigon reported having seen a real machine exhibit this behaviour. The conditions for triggering it are not known, but the symptom itself is not an emulation bug.